<?php
/**
 * Organic Store functions
 */

//Admin css
add_editor_style( array( 'assets/css/admin.css' ) );

if ( ! function_exists( 'organic_store_setup' ) ) :
function organic_store_setup() {
    load_theme_textdomain( 'organic-store', get_template_directory() . '/languages' );

	/**
	* About Theme Function
	*/
	require get_theme_file_path( '/about-theme/about-theme.php' );

}
endif; 
add_action( 'after_setup_theme', 'organic_store_setup' );

if ( ! function_exists( 'organic_store_styles' ) ) :
	function organic_store_styles() {
		// Register theme stylesheet.
		wp_register_style('organic-store-style',
			get_template_directory_uri() . '/style.css',array(),
			wp_get_theme()->get( 'Version' )
		);

		wp_enqueue_style(
			'owl.carousel-css',
			get_template_directory_uri() . '/assets/css/owl.carousel.css',
			array(),
			'2.3.4'
		);

		wp_enqueue_script(
			'owl-carousel-js',
			get_template_directory_uri() . '/assets/js/owl.carousel.js',
			array('jquery'),
			'2.3.4',
			true
		);

		wp_enqueue_script('organic-store-js',
        	get_template_directory_uri() . '/assets/js/effects.js',array(),
        	wp_get_theme()->get('Version'),true 
   		);

		// Scroll to top CSS and JS
		wp_enqueue_style( 'dashicons' );
		
		wp_enqueue_style( 'scroll-to-top-style',
			get_template_directory_uri() . '/assets/css/scroll-to-top.css',
			array(),
			wp_get_theme()->get('Version')
		);

		wp_enqueue_script( 'scroll-to-top-js',
			get_template_directory_uri() . '/assets/js/scroll-to-top.js',
			array(),
			wp_get_theme()->get('Version'),
			true
		);

		// Enqueue theme stylesheet.
		wp_enqueue_style( 'organic-store-style' );

		wp_style_add_data( 'organic-store-style', 'rtl', 'replace' );
	}
endif;
add_action( 'wp_enqueue_scripts', 'organic_store_styles' );

/**
 * TGM FILE
 */
require get_theme_file_path( '/tgm.php' );